Bug 22110 - Editing adjustments doesn't work for Currencyformat != US
Summary: Editing adjustments doesn't work for Currencyformat != US
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 19166
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-11 21:51 UTC by Katrin Fischer
Modified: 2019-02-25 09:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22110: Fix editing of adjustments for CurrencyFormat != US (2.13 KB, patch)
2019-01-15 22:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22110: Fix editing of adjustments for CurrencyFormat != US (2.18 KB, patch)
2019-01-17 20:59 UTC, Mackey Johnstone
Details | Diff | Splinter Review
Bug 22110: Fix editing of adjustments for CurrencyFormat != US (2.24 KB, patch)
2019-01-18 20:51 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22110: Fix editing of adjustments for CurrencyFormat != US (2.30 KB, patch)
2019-02-08 16:39 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-11 21:51:51 UTC
When the CurrencyFormat is set to FR the amount of an adjustment will display with decimal comma. Changing 1,00 to 1,10 will save as 1.00.
Comment 1 Katrin Fischer 2019-01-15 22:00:15 UTC
Created attachment 84028 [details] [review]
Bug 22110: Fix editing of adjustments for CurrencyFormat != US

When using CurrencyFormat FR or CH the editing an amount behave
badly. Example: changing displayed 1,00 to 1,11 would save as 1,00.

At the moment Koha only understands decimal dot, not comma.
So every time data is entered, we use decimal dot.

1) Add an adjustment to an invoice
2) Change system preference CurrencyFormat to FR or CH
3) Verify the amount displays with a decimal comma
4) Try changing the amount to something like 1,11
5) Save the amount
6) Verify it shows 1.00
7) Apply patch
8) Refresh the invoice page if necessary
9) Verify amount is now shown as 1.00
10) Repeat test, use 1.11
11) Verify it will be stored correctly.
Comment 2 Mackey Johnstone 2019-01-17 20:59:16 UTC
Created attachment 84161 [details] [review]
Bug 22110: Fix editing of adjustments for CurrencyFormat != US

When using CurrencyFormat FR or CH the editing an amount behave
badly. Example: changing displayed 1,00 to 1,11 would save as 1,00.

At the moment Koha only understands decimal dot, not comma.
So every time data is entered, we use decimal dot.

1) Add an adjustment to an invoice
2) Change system preference CurrencyFormat to FR or CH
3) Verify the amount displays with a decimal comma
4) Try changing the amount to something like 1,11
5) Save the amount
6) Verify it shows 1.00
7) Apply patch
8) Refresh the invoice page if necessary
9) Verify amount is now shown as 1.00
10) Repeat test, use 1.11
11) Verify it will be stored correctly.

Signed-off-by: Mackey Johnstone <mackeyfj@gmail.com>
Comment 3 Mikaël Olangcay Brisebois 2019-01-18 20:51:50 UTC
Created attachment 84221 [details] [review]
Bug 22110: Fix editing of adjustments for CurrencyFormat != US

When using CurrencyFormat FR or CH the editing an amount behave
badly. Example: changing displayed 1,00 to 1,11 would save as 1,00.

At the moment Koha only understands decimal dot, not comma.
So every time data is entered, we use decimal dot.

1) Add an adjustment to an invoice
2) Change system preference CurrencyFormat to FR or CH
3) Verify the amount displays with a decimal comma
4) Try changing the amount to something like 1,11
5) Save the amount
6) Verify it shows 1.00
7) Apply patch
8) Refresh the invoice page if necessary
9) Verify amount is now shown as 1.00
10) Repeat test, use 1.11
11) Verify it will be stored correctly.

Signed-off-by: Mackey Johnstone <mackeyfj@gmail.com>
Signed-off-by: Mikael Olangcay Brisebois <mikael.olangcay-brisebois@inlibro.com>
Comment 4 Martin Renvoize 2019-02-08 16:39:01 UTC
Created attachment 84881 [details] [review]
Bug 22110: Fix editing of adjustments for CurrencyFormat != US

When using CurrencyFormat FR or CH the editing an amount behave
badly. Example: changing displayed 1,00 to 1,11 would save as 1,00.

At the moment Koha only understands decimal dot, not comma.
So every time data is entered, we use decimal dot.

1) Add an adjustment to an invoice
2) Change system preference CurrencyFormat to FR or CH
3) Verify the amount displays with a decimal comma
4) Try changing the amount to something like 1,11
5) Save the amount
6) Verify it shows 1.00
7) Apply patch
8) Refresh the invoice page if necessary
9) Verify amount is now shown as 1.00
10) Repeat test, use 1.11
11) Verify it will be stored correctly.

Signed-off-by: Mackey Johnstone <mackeyfj@gmail.com>
Signed-off-by: mikael <mikael.Olangcay-Brisebois@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-02-08 16:39:27 UTC
Trivial fix to a silly oversight. No regressions

Passing QA
Comment 6 Nick Clemens 2019-02-11 18:39:40 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-12 12:56:27 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-12 22:24:42 UTC
missing dependency, wont backport to 18.05.x